#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Jul 15 10:34:01 2020

@author: ashesh
"""

# Import packages
import numpy as np


marks = np.array( [ 67, 45, 89, 21, 71 ] )
names =np.array(   ['Lisa', 'John', 'Rita', 'Mia', 'Peter'])

#%%

stu_failed = marks < 50

#%%
failed_marks = marks [ stu_failed ]

#%%
max_fail_marks = np.max(failed_marks)

#%%
# Alternatively in one line.. 
max_fail_marks_v2 =  np.max( marks [ marks < 50 ])

#%%
# Find maximum CR marks
max_cr_marks =  np.max( marks [ np.logical_and(marks >= 65,marks < 75) ]) 

#%%

mask = np.logical_and(marks >= 65,marks < 75)

cr_names = names [ mask ]
cr_marks = marks [ mask ] 

max_cr_marks_indx =  np.argmax( cr_marks ) 
max_cr_name = cr_names [ max_cr_marks_indx ]

print(max_cr_name)


